Retrieve list of registered credit cards for a profile
get
/spms/v1/financials/payments/cards/{profileId}
This is to retrieve a list of all registered credit cards for a profile
Request
Supported Media Types
- application/json
Path Parameters
-
profileId(required): integer(int64)
profileId
Query Parameters
-
isActive: boolean
Minimum Value:
0Activation status of the credit card: * `true` - credit card is active * `false` - credit card is inactive -
orderBy: string
Minimum Value:
0Order By cardID, cardNumber, expirationDate, cardType, displayName, isActive, invoiceWindows with format column1:asc/desc,column2:asc/desc
Response
Supported Media Types
- application/json
200 Response
OK
Root Schema : Credit Card Information Response
Type:
objectTitle:
Credit Card Information ResponseCredit Card Information Response
Show Source
-
count:
integer
Example:
12345678 -
hasMore:
boolean
Example:
true -
items:
array items
-
limit:
integer
Example:
10 -
offset:
integer
Example:
1
Nested Schema : items
Type:
Show Source
array-
Array of:
object Credit Card Information
Title:
Credit Card InformationCredit Card Information
Nested Schema : Credit Card Information
Type:
objectTitle:
Credit Card InformationCredit Card Information
Show Source
-
cardID:
number
Credit Card record IdExample:
12345 -
cardNumber:
string
Credit Card NumberExample:
xxxxxxxxxxxx1234 -
cardType:
string
Credit Card typeExample:
VI -
depositLimit:
number
Deposit limit for the credit cardExample:
1000.00 -
displayName:
string
Credit Card Display NameExample:
FIRST NAME SURNAME -
expirationDate:
string
Credit Card Expiry dateExample:
01-2025 -
invoiceWindows:
string
Assigned Invoice windows number. 0 - All invoices and 1,2,3,4 - other invoice windows numberExample:
0 -
isActive:
boolean
Credit card active statusExample:
true -
isDebit:
boolean
Is Debit CardExample:
false -
ownerName:
string
Credit Card Owner NameExample:
FIRST NAME SURNAME
400 Response
Bad Request
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"HTTP://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.1",
"title":"Bad Request",
"detail":"The parameter profileid has incorrect format"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
401 Response
Unauthorized
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"HTTP://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.2",
"title":"Unauthorized",
"detail":"Valid token is required to access this resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
403 Response
Forbidden
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"HTTP://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.4",
"title":"Forbidden",
"detail":"Access to this resource was forbidden"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
404 Response
Not Found
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"HTTP://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5",
"title":"Not Found",
"detail":"This resource path does not exist"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
405 Response
Method Not Allowed
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6",
"title":"Method Not Supported",
"detail":"HTTP method not supported for this resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
406 Response
Not Acceptable
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"HTTP://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.7",
"title":"Not Acceptable",
"detail":"Request a Mime type that is supported for this Resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
500 Response
Internal Server Error
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.1",
"title":"Internal Server Error",
"detail":"Issue fulfilling request. Please retry or contact support"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
503 Response
Service Unavailable
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.4",
"title":"Service Unavailable",
"detail":"Service Unavailable. Try again later"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source